Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.files
Class FullFileSpecification

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.files.FileSpecification<PdfDictionary>
              org.pdfclown.documents.files.FullFileSpecification

All Implemented Interfaces:
  Cloneable, IPdfNamedObjectWrapper, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class FullFileSpecification

extends FileSpecification<PdfDictionary>

Extended reference to the contents of another file [PDF:1.6:3.10.2].

Since:
  0.1.2
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `FullFileSpecification.StandardFileSystemEnum` Standard file system.

Method Summary
`FullFileSpecification` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`RelatedFiles` | `getDependencies()` Gets the related files.
`String` | `getDescription()` Gets the description of the file.
`EmbeddedFile` | `getEmbeddedFile()` Gets the embedded file corresponding to this file.
`Object` | `getFileSystem()` Gets the file system to be used to interpret this file specification.
`FileIdentifier` | `getID()` Gets the identifier of the file.
`IInputStream` | `getInputStream()` Gets an input stream to read from the file.
`IOutputStream` | `getOutputStream()` Gets an output stream to write into the file.
`String` | `getPath()` Gets the file path.
`boolean` | `isVolatile()` Gets whether the referenced file is volatile (changes frequently with time).
`void` | `setDependencies(RelatedFiles value)`
`void` | `setDescription(String value)`
`void` | `setEmbeddedFile(EmbeddedFile value)`
`void` | `setFileSystem(Object value)`
`void` | `setID(FileIdentifier value)`
`void` | `setPath(String value)`
`void` | `setVolatile(boolean value)`

Methods inherited from class org.pdfclown.documents.files.FileSpecification
`get, get, get, get, getAbsolutePath, getName, getNamedBaseObject, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pdfclown.objects.IPdfObjectWrapper
`getBaseObject`

Method Detail

### clone

    public FullFileSpecification clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getDependencies

    public RelatedFiles getDependencies()

  Gets the related files.

### getDescription

    public String getDescription()

  Gets the description of the file.

### getEmbeddedFile

    public EmbeddedFile getEmbeddedFile()

  Gets the embedded file corresponding to this file.

### getFileSystem

    public Object getFileSystem()

  Gets the file system to be used to interpret this file specification.

  Returns:
    Either `FullFileSpecification.StandardFileSystemEnum` (standard file system) or `String` (custom file system).

### getID

    public FileIdentifier getID()

  Gets the identifier of the file.

### getPath

    public String getPath()

  Description copied from class: `FileSpecification`
  Gets the file path.

  Specified by:
    `getPath` in class `FileSpecification<PdfDictionary>`

### getInputStream

    public IInputStream getInputStream()

  Description copied from class: `FileSpecification`
  Gets an input stream to read from the file.

  Overrides:
    `getInputStream` in class `FileSpecification<PdfDictionary>`

### getOutputStream

    public IOutputStream getOutputStream()

  Description copied from class: `FileSpecification`
  Gets an output stream to write into the file.

  Overrides:
    `getOutputStream` in class `FileSpecification<PdfDictionary>`

### isVolatile

    public boolean isVolatile()

  Gets whether the referenced file is volatile (changes frequently with time).

### setDependencies

    public void setDependencies(RelatedFiles value)

  See Also:
    `getDependencies()`

### setDescription

    public void setDescription(String value)

  See Also:
    `getDescription()`

### setEmbeddedFile

    public void setEmbeddedFile(EmbeddedFile value)

  See Also:
    `getEmbeddedFile()`

### setFileSystem

    public void setFileSystem(Object value)

  See Also:
    `getFileSystem()`

### setID

    public void setID(FileIdentifier value)

  See Also:
    `getID()`

### setPath

    public void setPath(String value)

  See Also:
    `getPath()`

### setVolatile

    public void setVolatile(boolean value)

  See Also:
    `isVolatile()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.